/* AlterZoom2.rex, Matthias Prem, 2006, WU Wien */
/* Macro */
   /* get the script context and the desktop */
xScriptContext=uno.getScriptContext()
xDesktop=xScriptContext~getDesktop

   /* get current component (Writer) and its xViewSettings */
xComponent = xDesktop~getCurrentComponent()
xModel = xComponent~xModel
xController = xModel~getCurrentController()
xSelectionSupplier = xController~XSelectionSupplier
xViewSettingsSupplier = xSelectionSupplier~XViewSettingsSupplier
xViewSettings=xViewSettingsSupplier~ViewSettings
xViewProperties = xViewSettings~XPropertySet

   /* access the static fields of DocumentZoomType */
c=bsf.wrapStaticFields("com.sun.star.view.DocumentZoomType")

   /* show different zooms with a 1 sec pause */
xViewProperties~setPropertyValue("ZoomType", box("Short", c~page_width))
call syssleep 1

xViewProperties~setPropertyValue("ZoomType", box("Short", c~entire_page))
call syssleep 1

xViewProperties~setPropertyValue("ZoomType", box("Short", -
c~page_width_exact))
call syssleep 1

xViewProperties~setPropertyValue("ZoomType", box("Short", c~by_Value))
xViewProperties~setPropertyValue("ZoomValue", box("Short", 200))
call syssleep 1

xViewProperties~setPropertyValue("ZoomValue", box("Short", 10))
   call syssleep 1
xViewProperties~setPropertyValue("ZoomType", box("Short", c~optimal))

::requires UNO.CLS
