import com.ibm.bsf.*;   // BSF support
// import org.apache.bsf.*;   // BSF support
import java.io.*;       // exception handling

/** Test Java program which demonstrates how easy it is to invoke Rexx via BSF.
 * @author   Rony G. Flatscher, 2001-04-27
 */
public class TestVerySimpleExec {

  /** Running an in-line defined Rexx script. */
  public static void main (String[] args) throws IOException
  {
    try
    {
      BSFManager mgr        = new BSFManager ();
      String     scriptCode = "SAY 'Rexx was here!'";

                // invoke Rexx and retrieve its return value
      mgr.exec ("rexx", "any debug info", 0, 0, scriptCode);

    }
    catch (BSFException e)
    {
      e.printStackTrace();
    }
  }
}

