call bsf.cls            /* load Java support to ooRexx      */
parse arg filename      /* get the name of a file/directory */
say "received filename: ["filename"]"
say
jf=.bsf~new("java.io.File", filename)  /* get a Java file object of it  */

say "string representation of Java File object: ["jf~toString"]"
say "isDirectory?" jf~isDirectory " isFile?" jf~isFile
say "   isHidden?" jf~isHidden    "canRead?" jf~canRead "canWrite?" jf~canWrite
say "---"
say "         getPath=["jf~getPath"]" "isAbsolute?" jf~isAbsolute
say " getAbsolutePath=["jf~getAbsolutePath"]"
say "getCanonicalPath=["jf~getCanonicalPath"]"
say "           toURI=["jf~toURI~toString"]"    /* a java.net.URI object   */




